json-assertions

Test that your (Aeson) JSON encoding matches your expectations http://github.com/ocharles/json-assertions.git

Latest on Hackage:1.0.9

This package is not currently in any snapshots. If you're interested in using it, we recommend adding it to Stackage Nightly. Doing so will make builds more reliable, and allow stackage.org to host generated Haddocks.

BSD3 licensed by Oliver Charles
Maintained by ollie@ocharles.org.uk

Changes

# Version 1.0.9

* Increase upper bound of `aeson`

# Version 1.0.8

* Build with lens < 4.16 and aeson < 1.0.3. Thanks to @alanz for noticing.

# Version 1.0.7

* Build with lens < 4.13

# Version 1.0.6

* Build with lens < 4.12, aeson < 0.10

# Version 1.0.5

* Build with lens < 4.5

# Version 1.0.4

* Build with lens < 4.4, aeson < 0.9

# Version 1.0.3

* Build with lens < 4.3

# Version 1.0.2

* Build with lens 4.1

# Version 1.0.1

* Dropped dependency on `lens-aeson`. Depend on `lens-4.0.*` and
`aeson-0.7.*`.

# Version 1.0.0

* Initial release.
Used by 1 package:
comments powered byDisqus